[arch-commits] Commit in which/repos (6 files)

Sébastien Luttringer seblu at archlinux.org
Sat Mar 21 14:13:50 UTC 2015


    Date: Saturday, March 21, 2015 @ 15:13:50
  Author: seblu
Revision: 234443

archrelease: copy trunk to testing-i686, testing-x86_64

Added:
  which/repos/testing-i686/
  which/repos/testing-i686/PKGBUILD
    (from rev 234442, which/trunk/PKGBUILD)
  which/repos/testing-i686/which.install
    (from rev 234442, which/trunk/which.install)
  which/repos/testing-x86_64/
  which/repos/testing-x86_64/PKGBUILD
    (from rev 234442, which/trunk/PKGBUILD)
  which/repos/testing-x86_64/which.install
    (from rev 234442, which/trunk/which.install)

------------------------------+
 testing-i686/PKGBUILD        |   32 ++++++++++++++++++++++++++++++++
 testing-i686/which.install   |   20 ++++++++++++++++++++
 testing-x86_64/PKGBUILD      |   32 ++++++++++++++++++++++++++++++++
 testing-x86_64/which.install |   20 ++++++++++++++++++++
 4 files changed, 104 insertions(+)

Copied: which/repos/testing-i686/PKGBUILD (from rev 234442, which/trunk/PKGBUILD)
===================================================================
--- testing-i686/PKGBUILD	                        (rev 0)
+++ testing-i686/PKGBUILD	2015-03-21 14:13:50 UTC (rev 234443)
@@ -0,0 +1,32 @@
+# $Id$
+# Maintainer: Sébastien Luttringer <seblu at archlinux.org>
+# Contributor: Allan McRae <allan at archlinux.org>
+# Contributor: Andreas Radke <andyrtr at archlinux.org>
+
+pkgname=which
+pkgver=2.21
+pkgrel=1
+pkgdesc='A utility to show the full path of commands'
+arch=('i686' 'x86_64')
+url='http://savannah.gnu.org/projects/which'
+license=('GPL3')
+groups=('base' 'base-devel')
+depends=('glibc' 'bash')
+install=which.install
+# gpg key is using deprecated md5 algo, do not use
+# check if a new one is issued in the next release
+source=("http://ftp.gnu.org/gnu/$pkgname/$pkgname-$pkgver.tar.gz")
+md5sums=('097ff1a324ae02e0a3b0369f07a7544a')
+
+build() {
+  cd $pkgname-$pkgver
+  ./configure --prefix=/usr
+  make
+}
+
+package() {
+  cd $pkgname-$pkgver
+  make DESTDIR="$pkgdir" install
+}
+
+# vim:set ts=2 sw=2 et:

Copied: which/repos/testing-i686/which.install (from rev 234442, which/trunk/which.install)
===================================================================
--- testing-i686/which.install	                        (rev 0)
+++ testing-i686/which.install	2015-03-21 14:13:50 UTC (rev 234443)
@@ -0,0 +1,20 @@
+infodir=/usr/share/info
+filelist=(which.info)
+
+post_install() {
+  [[ -x usr/bin/install-info ]] || return 0
+  for file in "${filelist[@]}"; do
+    install-info "$infodir/$file.gz" "$infodir/dir" 2>/dev/null
+  done
+}
+
+post_upgrade() {
+  post_install "$1"
+}
+
+pre_remove() {
+  [[ -x usr/bin/install-info ]] || return 0
+  for file in "${filelist[@]}"; do
+    install-info --delete "$infodir/$file" "$infodir/dir" 2>/dev/null
+  done
+}

Copied: which/repos/testing-x86_64/PKGBUILD (from rev 234442, which/trunk/PKGBUILD)
===================================================================
--- testing-x86_64/PKGBUILD	                        (rev 0)
+++ testing-x86_64/PKGBUILD	2015-03-21 14:13:50 UTC (rev 234443)
@@ -0,0 +1,32 @@
+# $Id$
+# Maintainer: Sébastien Luttringer <seblu at archlinux.org>
+# Contributor: Allan McRae <allan at archlinux.org>
+# Contributor: Andreas Radke <andyrtr at archlinux.org>
+
+pkgname=which
+pkgver=2.21
+pkgrel=1
+pkgdesc='A utility to show the full path of commands'
+arch=('i686' 'x86_64')
+url='http://savannah.gnu.org/projects/which'
+license=('GPL3')
+groups=('base' 'base-devel')
+depends=('glibc' 'bash')
+install=which.install
+# gpg key is using deprecated md5 algo, do not use
+# check if a new one is issued in the next release
+source=("http://ftp.gnu.org/gnu/$pkgname/$pkgname-$pkgver.tar.gz")
+md5sums=('097ff1a324ae02e0a3b0369f07a7544a')
+
+build() {
+  cd $pkgname-$pkgver
+  ./configure --prefix=/usr
+  make
+}
+
+package() {
+  cd $pkgname-$pkgver
+  make DESTDIR="$pkgdir" install
+}
+
+# vim:set ts=2 sw=2 et:

Copied: which/repos/testing-x86_64/which.install (from rev 234442, which/trunk/which.install)
===================================================================
--- testing-x86_64/which.install	                        (rev 0)
+++ testing-x86_64/which.install	2015-03-21 14:13:50 UTC (rev 234443)
@@ -0,0 +1,20 @@
+infodir=/usr/share/info
+filelist=(which.info)
+
+post_install() {
+  [[ -x usr/bin/install-info ]] || return 0
+  for file in "${filelist[@]}"; do
+    install-info "$infodir/$file.gz" "$infodir/dir" 2>/dev/null
+  done
+}
+
+post_upgrade() {
+  post_install "$1"
+}
+
+pre_remove() {
+  [[ -x usr/bin/install-info ]] || return 0
+  for file in "${filelist[@]}"; do
+    install-info --delete "$infodir/$file" "$infodir/dir" 2>/dev/null
+  done
+}



More information about the arch-commits mailing list